<html>
<head>
<title>Ogre::PixelBox Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::PixelBox Class Reference<div class="ingroups"><a class="el" href="group__Image.html">Image</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::PixelBox" --><!-- doxytag: inherits="Ogre::Box,Ogre::AllocatedObject" -->
<p>A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.  
 <a href="classOgre_1_1PixelBox.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::PixelBox:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1PixelBox__inherit__graph.gif" border="0" usemap="#Ogre_1_1PixelBox_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1PixelBox_inherit__map" id="Ogre_1_1PixelBox_inherit__map">
<area shape="rect" id="node2" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3&#45;D integer space." alt="" coords="5,5,85,35"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="109,5,195,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1PixelBox-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#a196c57b3cf61c1545c46896cff269efb">PixelBox</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameter constructor for setting the members manually.  <a href="#a196c57b3cf61c1545c46896cff269efb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#a5a5191d05b7ec15bb97c98807c271f35">~PixelBox</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#a422d941d56f9bb32134f304754e0d72d">PixelBox</a> (const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;extents, <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> pixelFormat, void *pixelData=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor providing extents in the form of a <a class="el" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> object.  <a href="#a422d941d56f9bb32134f304754e0d72d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#ada7e7fab7d00e3c842a514fe7aa11b0d">PixelBox</a> (size_t width, size_t height, size_t depth, <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> pixelFormat, void *pixelData=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor providing width, height and depth.  <a href="#ada7e7fab7d00e3c842a514fe7aa11b0d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#a69fea3b4fed6726ee578519ec05bd246">setConsecutive</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the rowPitch and slicePitch so that the buffer is laid out consecutive in memory.  <a href="#a69fea3b4fed6726ee578519ec05bd246"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#a6c57caf05a1a9c91780f6602bec71402">getRowSkip</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of elements between one past the rightmost pixel of one row and the leftmost pixel of the next row.  <a href="#a6c57caf05a1a9c91780f6602bec71402"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#a27f6e0e9f80a2a3397ef5550875cee97">getSliceSkip</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of elements between one past the right bottom pixel of one slice and the left top pixel of the next slice.  <a href="#a27f6e0e9f80a2a3397ef5550875cee97"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#a37865dea7e66ea41c9c47f8a52a55892">isConsecutive</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return whether this buffer is laid out consecutive in memory (ie the pitches are equal to the dimensions)  <a href="#a37865dea7e66ea41c9c47f8a52a55892"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#a469097a2cc6e3652ba3fe44366ce389d">getConsecutiveSize</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the size (in bytes) this image would take if it was laid out consecutive in memory.  <a href="#a469097a2cc6e3652ba3fe44366ce389d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#a692f1b55d10d988a6952a2720b24a7ae">getSubVolume</a> (const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;def) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a subvolume of this <a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a>.  <a href="#a692f1b55d10d988a6952a2720b24a7ae"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#af5f45d4b78fcf4c139c827349aac2121">getColourAt</a> (size_t x, size_t y, size_t z)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get colour value from a certain location in the <a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a>.  <a href="#af5f45d4b78fcf4c139c827349aac2121"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#ad9be8442d595e5208ea80e59041b59d8">setColourAt</a> (<a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> const &amp;cv, size_t x, size_t y, size_t z)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set colour value at a certain location in the <a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a>.  <a href="#ad9be8442d595e5208ea80e59041b59d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#aebee870489731d59ddc99903220244c0">contains</a> (const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;def) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if the other box is a part of this one.  <a href="#aebee870489731d59ddc99903220244c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a7621962346ee18c3df6a405d115548a8">getWidth</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the width of this box.  <a href="#a7621962346ee18c3df6a405d115548a8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a93d5935ee18c29336ea11460a9d30b53">getHeight</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the height of this box.  <a href="#a93d5935ee18c29336ea11460a9d30b53"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a35a70afaf89bbd6371a9abdc9e1da469">getDepth</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the depth of this box.  <a href="#a35a70afaf89bbd6371a9abdc9e1da469"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#ac4fe215e13fc38d6a45e0c40ee2f1425">data</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The data pointer.  <a href="#ac4fe215e13fc38d6a45e0c40ee2f1425"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#aa4101fdc288dc41dddac88440b4d0818">format</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The pixel format.  <a href="#aa4101fdc288dc41dddac88440b4d0818"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#aacf8f1ebed40c557389d9d1e9dda3b68">rowPitch</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of elements between the leftmost pixel of one row and the left pixel of the next.  <a href="#aacf8f1ebed40c557389d9d1e9dda3b68"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PixelBox.html#a5f4ac4f2e735678fc8b3ddc1068674dd">slicePitch</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of elements between the top left pixel of one (depth) slice and the top left pixel of the next.  <a href="#a5f4ac4f2e735678fc8b3ddc1068674dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a8c667f45bbbe5be0577025436a7e50a0">left</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#aebfb3bd646373c45c9e38735640f6e3a">top</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a57531708bc749511715f37648d105aad">right</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a66b5764c9ac1aad8410e9883c74b522a">bottom</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a6057f53bf949ee0725aeb52d1e480f4c">front</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Box.html#a26cb2e011c3dec1ff625716e1778233a">back</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory. </p>
<p>In case of a rectangle, depth must be 1. Pixels are stored as a succession of "depth" slices, each containing "height" rows of "width" pixels. </p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00197">197</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a196c57b3cf61c1545c46896cff269efb"></a><!-- doxytag: member="Ogre::PixelBox::PixelBox" ref="a196c57b3cf61c1545c46896cff269efb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PixelBox.html#a196c57b3cf61c1545c46896cff269efb">Ogre::PixelBox::PixelBox</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parameter constructor for setting the members manually. </p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00200">200</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5a5191d05b7ec15bb97c98807c271f35"></a><!-- doxytag: member="Ogre::PixelBox::~PixelBox" ref="a5a5191d05b7ec15bb97c98807c271f35" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PixelBox.html#a5a5191d05b7ec15bb97c98807c271f35">Ogre::PixelBox::~PixelBox</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00201">201</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>

</div>
</div>
<a class="anchor" id="a422d941d56f9bb32134f304754e0d72d"></a><!-- doxytag: member="Ogre::PixelBox::PixelBox" ref="a422d941d56f9bb32134f304754e0d72d" args="(const Box &amp;extents, PixelFormat pixelFormat, void *pixelData=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PixelBox.html#a196c57b3cf61c1545c46896cff269efb">Ogre::PixelBox::PixelBox</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;&#160;</td>
          <td class="paramname"><em>extents</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>pixelFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pixelData</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor providing extents in the form of a <a class="el" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> object. </p>
<p>This constructor assumes the pixel data is laid out consecutively in memory. (this means row after row, slice after slice, with no space in between) </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">extents</td><td>Extents of the region defined by data </td></tr>
    <tr><td class="paramname">pixelFormat</td><td>Format of this buffer </td></tr>
    <tr><td class="paramname">pixelData</td><td>Pointer to the actual data </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00209">209</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>

</div>
</div>
<a class="anchor" id="ada7e7fab7d00e3c842a514fe7aa11b0d"></a><!-- doxytag: member="Ogre::PixelBox::PixelBox" ref="ada7e7fab7d00e3c842a514fe7aa11b0d" args="(size_t width, size_t height, size_t depth, PixelFormat pixelFormat, void *pixelData=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PixelBox.html#a196c57b3cf61c1545c46896cff269efb">Ogre::PixelBox::PixelBox</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>depth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>pixelFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pixelData</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor providing width, height and depth. </p>
<p>This constructor assumes the pixel data is laid out consecutively in memory. (this means row after row, slice after slice, with no space in between) </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">width</td><td>Width of the region </td></tr>
    <tr><td class="paramname">height</td><td>Height of the region </td></tr>
    <tr><td class="paramname">depth</td><td>Depth of the region </td></tr>
    <tr><td class="paramname">pixelFormat</td><td>Format of this buffer </td></tr>
    <tr><td class="paramname">pixelData</td><td>Pointer to the actual data </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00223">223</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aebee870489731d59ddc99903220244c0"></a><!-- doxytag: member="Ogre::PixelBox::contains" ref="aebee870489731d59ddc99903220244c0" args="(const Box &amp;def) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1Box.html#aebee870489731d59ddc99903220244c0">Ogre::Box::contains</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;&#160;</td>
          <td class="paramname"><em>def</em></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if the other box is a part of this one. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00710">710</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::back</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::bottom</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::front</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::left</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::right</a>, and <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::top</a>.</p>

</div>
</div>
<a class="anchor" id="af5f45d4b78fcf4c139c827349aac2121"></a><!-- doxytag: member="Ogre::PixelBox::getColourAt" ref="af5f45d4b78fcf4c139c827349aac2121" args="(size_t x, size_t y, size_t z)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1PixelBox.html#af5f45d4b78fcf4c139c827349aac2121">Ogre::PixelBox::getColourAt</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>z</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get colour value from a certain location in the <a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a>. </p>
<p>The z coordinate is only valid for cubemaps and volume textures. This uses the first (largest) mipmap. </p>

</div>
</div>
<a class="anchor" id="a469097a2cc6e3652ba3fe44366ce389d"></a><!-- doxytag: member="Ogre::PixelBox::getConsecutiveSize" ref="a469097a2cc6e3652ba3fe44366ce389d" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PixelBox.html#a469097a2cc6e3652ba3fe44366ce389d">Ogre::PixelBox::getConsecutiveSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the size (in bytes) this image would take if it was laid out consecutive in memory. </p>

</div>
</div>
<a class="anchor" id="a35a70afaf89bbd6371a9abdc9e1da469"></a><!-- doxytag: member="Ogre::PixelBox::getDepth" ref="a35a70afaf89bbd6371a9abdc9e1da469" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a35a70afaf89bbd6371a9abdc9e1da469">Ogre::Box::getDepth</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the depth of this box. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00721">721</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::back</a>, and <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::front</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a93d5935ee18c29336ea11460a9d30b53"></a><!-- doxytag: member="Ogre::PixelBox::getHeight" ref="a93d5935ee18c29336ea11460a9d30b53" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a93d5935ee18c29336ea11460a9d30b53">Ogre::Box::getHeight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the height of this box. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00719">719</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::bottom</a>, and <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::top</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a6c57caf05a1a9c91780f6602bec71402"></a><!-- doxytag: member="Ogre::PixelBox::getRowSkip" ref="a6c57caf05a1a9c91780f6602bec71402" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PixelBox.html#a6c57caf05a1a9c91780f6602bec71402">Ogre::PixelBox::getRowSkip</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of elements between one past the rightmost pixel of one row and the leftmost pixel of the next row. </p>
<p>(IE this is zero if rows are consecutive). </p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00258">258</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a27f6e0e9f80a2a3397ef5550875cee97"></a><!-- doxytag: member="Ogre::PixelBox::getSliceSkip" ref="a27f6e0e9f80a2a3397ef5550875cee97" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PixelBox.html#a27f6e0e9f80a2a3397ef5550875cee97">Ogre::PixelBox::getSliceSkip</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of elements between one past the right bottom pixel of one slice and the left top pixel of the next slice. </p>
<p>(IE this is zero if slices are consecutive). </p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00263">263</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a692f1b55d10d988a6952a2720b24a7ae"></a><!-- doxytag: member="Ogre::PixelBox::getSubVolume" ref="a692f1b55d10d988a6952a2720b24a7ae" args="(const Box &amp;def) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> <a class="el" href="classOgre_1_1PixelBox.html#a692f1b55d10d988a6952a2720b24a7ae">Ogre::PixelBox::getSubVolume</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;&#160;</td>
          <td class="paramname"><em>def</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return a subvolume of this <a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a>. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">def</td><td>Defines the bounds of the subregion to return </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pixel box describing the region and the data in it </dd></dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This function does not copy any data, it just returns a <a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> object with a data pointer pointing somewhere inside the data of object. </dd></dl>
<dl class="exception"><dt><b>Exceptions:</b></dt><dd>
  <table class="exception">
    <tr><td class="paramname">Exception(ERR_INVALIDPARAMS)</td><td>if def is not fully contained </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7621962346ee18c3df6a405d115548a8"></a><!-- doxytag: member="Ogre::PixelBox::getWidth" ref="a7621962346ee18c3df6a405d115548a8" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a7621962346ee18c3df6a405d115548a8">Ogre::Box::getWidth</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the width of this box. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00717">717</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::left</a>, and <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::right</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a37865dea7e66ea41c9c47f8a52a55892"></a><!-- doxytag: member="Ogre::PixelBox::isConsecutive" ref="a37865dea7e66ea41c9c47f8a52a55892" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1PixelBox.html#a37865dea7e66ea41c9c47f8a52a55892">Ogre::PixelBox::isConsecutive</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return whether this buffer is laid out consecutive in memory (ie the pitches are equal to the dimensions) </p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00268">268</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::PixelBox::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::PixelBox::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::PixelBox::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::PixelBox::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::PixelBox::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::PixelBox::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::PixelBox::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::PixelBox::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::PixelBox::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::PixelBox::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad9be8442d595e5208ea80e59041b59d8"></a><!-- doxytag: member="Ogre::PixelBox::setColourAt" ref="ad9be8442d595e5208ea80e59041b59d8" args="(ColourValue const &amp;cv, size_t x, size_t y, size_t z)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PixelBox.html#ad9be8442d595e5208ea80e59041b59d8">Ogre::PixelBox::setColourAt</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> const &amp;&#160;</td>
          <td class="paramname"><em>cv</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>z</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set colour value at a certain location in the <a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a>. </p>
<p>The z coordinate is only valid for cubemaps and volume textures. This uses the first (largest) mipmap. </p>

</div>
</div>
<a class="anchor" id="a69fea3b4fed6726ee578519ec05bd246"></a><!-- doxytag: member="Ogre::PixelBox::setConsecutive" ref="a69fea3b4fed6726ee578519ec05bd246" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1PixelBox.html#a69fea3b4fed6726ee578519ec05bd246">Ogre::PixelBox::setConsecutive</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the rowPitch and slicePitch so that the buffer is laid out consecutive in memory. </p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00249">249</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a26cb2e011c3dec1ff625716e1778233a"></a><!-- doxytag: member="Ogre::PixelBox::back" ref="a26cb2e011c3dec1ff625716e1778233a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a26cb2e011c3dec1ff625716e1778233a">Ogre::Box::back</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00662">662</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00677">Ogre::Box::Box()</a>, <a class="el" href="OgreCommon_8h_source.html#l00710">Ogre::Box::contains()</a>, <a class="el" href="OgreCommon_8h_source.html#l00721">Ogre::Box::getDepth()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a66b5764c9ac1aad8410e9883c74b522a"></a><!-- doxytag: member="Ogre::PixelBox::bottom" ref="a66b5764c9ac1aad8410e9883c74b522a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a66b5764c9ac1aad8410e9883c74b522a">Ogre::Box::bottom</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00662">662</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00677">Ogre::Box::Box()</a>, <a class="el" href="OgreCommon_8h_source.html#l00710">Ogre::Box::contains()</a>, <a class="el" href="OgreCommon_8h_source.html#l00719">Ogre::Box::getHeight()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="ac4fe215e13fc38d6a45e0c40ee2f1425"></a><!-- doxytag: member="Ogre::PixelBox::data" ref="ac4fe215e13fc38d6a45e0c40ee2f1425" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1PixelBox.html#ac4fe215e13fc38d6a45e0c40ee2f1425">Ogre::PixelBox::data</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The data pointer. </p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00231">231</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="aa4101fdc288dc41dddac88440b4d0818"></a><!-- doxytag: member="Ogre::PixelBox::format" ref="aa4101fdc288dc41dddac88440b4d0818" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1PixelBox.html#aa4101fdc288dc41dddac88440b4d0818">Ogre::PixelBox::format</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The pixel format. </p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00233">233</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a6057f53bf949ee0725aeb52d1e480f4c"></a><!-- doxytag: member="Ogre::PixelBox::front" ref="a6057f53bf949ee0725aeb52d1e480f4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a6057f53bf949ee0725aeb52d1e480f4c">Ogre::Box::front</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00662">662</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00677">Ogre::Box::Box()</a>, <a class="el" href="OgreCommon_8h_source.html#l00710">Ogre::Box::contains()</a>, <a class="el" href="OgreCommon_8h_source.html#l00721">Ogre::Box::getDepth()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a8c667f45bbbe5be0577025436a7e50a0"></a><!-- doxytag: member="Ogre::PixelBox::left" ref="a8c667f45bbbe5be0577025436a7e50a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a8c667f45bbbe5be0577025436a7e50a0">Ogre::Box::left</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00662">662</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00677">Ogre::Box::Box()</a>, <a class="el" href="OgreCommon_8h_source.html#l00710">Ogre::Box::contains()</a>, <a class="el" href="OgreCommon_8h_source.html#l00717">Ogre::Box::getWidth()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a57531708bc749511715f37648d105aad"></a><!-- doxytag: member="Ogre::PixelBox::right" ref="a57531708bc749511715f37648d105aad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#a57531708bc749511715f37648d105aad">Ogre::Box::right</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00662">662</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00677">Ogre::Box::Box()</a>, <a class="el" href="OgreCommon_8h_source.html#l00710">Ogre::Box::contains()</a>, <a class="el" href="OgreCommon_8h_source.html#l00717">Ogre::Box::getWidth()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="aacf8f1ebed40c557389d9d1e9dda3b68"></a><!-- doxytag: member="Ogre::PixelBox::rowPitch" ref="aacf8f1ebed40c557389d9d1e9dda3b68" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PixelBox.html#aacf8f1ebed40c557389d9d1e9dda3b68">Ogre::PixelBox::rowPitch</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Number of elements between the leftmost pixel of one row and the left pixel of the next. </p>
<p>This value must always be equal to <a class="el" href="structOgre_1_1Box.html#a7621962346ee18c3df6a405d115548a8" title="Get the width of this box.">getWidth()</a> (consecutive) for compressed formats. </p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00238">238</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="a5f4ac4f2e735678fc8b3ddc1068674dd"></a><!-- doxytag: member="Ogre::PixelBox::slicePitch" ref="a5f4ac4f2e735678fc8b3ddc1068674dd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1PixelBox.html#a5f4ac4f2e735678fc8b3ddc1068674dd">Ogre::PixelBox::slicePitch</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Number of elements between the top left pixel of one (depth) slice and the top left pixel of the next. </p>
<p>This can be a negative value. Must be a multiple of rowPitch. This value must always be equal to <a class="el" href="structOgre_1_1Box.html#a7621962346ee18c3df6a405d115548a8" title="Get the width of this box.">getWidth()</a>*getHeight() (consecutive) for compressed formats. </p>

<p>Definition at line <a class="el" href="OgrePixelFormat_8h_source.html#l00244">244</a> of file <a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a>.</p>

<p>Referenced by <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>.</p>

</div>
</div>
<a class="anchor" id="aebfb3bd646373c45c9e38735640f6e3a"></a><!-- doxytag: member="Ogre::PixelBox::top" ref="aebfb3bd646373c45c9e38735640f6e3a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1Box.html#aebfb3bd646373c45c9e38735640f6e3a">Ogre::Box::top</a><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00662">662</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h_source.html#l00677">Ogre::Box::Box()</a>, <a class="el" href="OgreCommon_8h_source.html#l00710">Ogre::Box::contains()</a>, <a class="el" href="OgreCommon_8h_source.html#l00719">Ogre::Box::getHeight()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00055">Ogre::NearestResampler&lt; elemsize &gt;::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00095">Ogre::LinearResampler::scale()</a>, <a class="el" href="OgreImageResampler_8h_source.html#l00178">Ogre::LinearResampler_Float32::scale()</a>, and <a class="el" href="OgreImageResampler_8h_source.html#l00286">Ogre::LinearResampler_Byte&lt; channels &gt;::scale()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePixelFormat_8h_source.html">OgrePixelFormat.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
